//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Device/DetectorForm.h
//! @brief     Defines class DetectorForm
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_DEVICE_DETECTORFORM_H
#define BORNAGAIN_GUI_VIEW_DEVICE_DETECTORFORM_H

#include <QWidget>

class DetectorItem;

class DetectorForm : public QWidget {
    Q_OBJECT

public:
    DetectorForm(QWidget* parent, DetectorItem* item);

signals:
    void dataChanged();
};

#endif // BORNAGAIN_GUI_VIEW_DEVICE_DETECTORFORM_H
