## Data examples

The example data in this directory, kindly provided by various colleagues,
are used in our script examples to demonstrate how to apply BornAgain
to experimental data.


### genx_*

Simulated with GenX; creating script probably lost.

Column 1 is the double incident angle in degrees.
Column 2 is the simulated intensity.


### honeycomb*

Experimental data by A. Glavic et al,
https://doi.org/10.1002/advs.201700856

Column 1 is qz, apparently in 1/angstrom.
Column 2 the intensity from the Genx fit.
Column 3 the experimental intensity.
Column 4 the error of column 3.
Column 5 the q resolution.


### ILL-*

Experimental data from D17, D50, FIGARO, processed through Motofit,
kindly provided by Philipp Gutfreund and Thomas Saerbeck.

Column 1 is qz, apparently in 1/nm.
Column 2 the intensity.
Column 3 the error.
Column 4 the q resolution fwhm.


### MAFO-Saturated

From https://www.nist.gov/document/spinelfilmzip,
extracted by devtools/expData/xtractNIST.py

Column 1 seems to be qz in 1/nm.
Columns 2-4 seem to be standard: I, dI, dq.


### RvsQ_36563_36662.txt.gz

Pt layer on Si substrate, experimental data by M. Fitzsimmons et al.,
published in https://doi.org/10.5281/zenodo.4072376

Column 1 is qz, apparently in 1/angstrom.
Columns 2-4 seem to be standard: I, dI, dq.
